pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: CVS commit: pkgsrc/net/mldonkey-gui

On 7/21/2012 11:03, Bernd Ernesti wrote:
On Fri, Jul 20, 2012 at 02:13:53PM +0000, John Marino wrote:
Module Name:    pkgsrc
Committed By:   marino
Date:           Fri Jul 20 14:13:53 UTC 2012

Modified Files:
        pkgsrc/net/mldonkey-gui: Makefile

Log Message:
net/mldonkey-gui: CONFIGURE_ARGS+= --disable-option-checking

On DragonFly, this package always halted on the configure stage with the
message, "configure: error: unrecognized options: --with-libintl-prefix"

We couldn't find the source of this obsolete configure option, it didn't
come from mldonkey and devel/gettext-lib isn't a dependency.  Adding
--disable-option-checking changed allowed this to be a warning rather than
a fatal error and also allows a successful build.

Background: DragonFly doesn't have libintl in base.

It sounds like devel/gettext-lib needs to be added and not working around
that by introducing another option.


Many, many packages emit "--with-libintl-prefix" unrecognized errors on DragonFly, this is the only one set to fail fatally because of it. The Reason NetBSD users aren't seeing it is that libintl is part of the base system so I think this configuration option is suppressed on that system.

What probably needs to happen is that all the --with/out-libintl-prefix options need to be removed completely as modern configure doesn't recognize it. That's not my decision. For now, putting this configure script to work like all the others that use libintl is good enough. It's a pkgsrc problem, not an individual package problem.

And the problem isn't adding devel/gettext-lib is a dependency. Imagine the pile of hate I'd get adding an unneeded dependency to a package.


Home | Main Index | Thread Index | Old Index